Class | Merb::Test::Rspec::RouteMatchers::ParameterMatcher
In: | lib/merb-core/test/matchers/route_matchers.rb
Parent: | Object

### Methods

failure_message matches? negative_failure_message new

### Attributes

actual | [RW] |
expected | [RW] |

### Public Class methods

new(hash_or_object)

#### Parameters

hash_or_object<Hash, ~to_param>: | The parameters to match.

#### Alternatives

If hash_or_object is an object, then a new expected hash will be constructed with the key :id set to hash_or_object.to_param.

### Public Instance methods

failure_message()

#### Returns

String: | The failure message.

matches?(parameter_hash)

#### Parameters

parameter_hash<Hash>: | The route parameters to match.

#### Returns

Boolean: | True if the route parameters match the expected ones.

negative_failure_message()

#### Returns

String: | The failure message to be displayed in negative matches.

[Validate]